<?php // Flipdish Ordering - Register Settings - Display

// Register Group
add_settings_section(
	'flipdish_ordering_section_display',
	esc_html__( 'Ordering System Display Settings', 'flipdish_ordering' ),
	'flipdish_ordering_callback_section_display',
	'flipdish_ordering'
);


// Fields
add_settings_field(
	'fd_theme_type',
	esc_html__( 'Theme type', 'flipdish_ordering' ),
	'flipdish_ordering_callback_field_radio',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'      => 'fd_theme_type',
		'label'   => esc_html__( 'This will change the colour theme of your ordering system to a light or dark version.', 'flipdish_ordering' ),
		'options' => array(
			'light' => esc_html__( 'Light theme', 'flipdish_ordering' ),
			'dark'  => esc_html__( 'Dark theme', 'flipdish_ordering' ),
		),
	)
);

add_settings_field(
	'fd_data_offset_value',
	esc_html__( 'Space above Basket', 'flipdish_ordering' ),
	'flipdish_ordering_callback_field_text',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'    => 'fd_data_offset_value',
		'label' => esc_html__( 'When headings are fixed on the page they can overlap the Basket. Increase this number in order to move the Basket down.', 'flipdish_ordering' ),
	)
);

add_settings_field(
	'fd_transparent_background',
	esc_html__( 'Transparent background', 'flipdish_ordering' ),
	'flipdish_ordering_callback_field_checkbox',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'    => 'fd_transparent_background',
		'label' => esc_html__( 'This will replace the background with a transparent one. Please ensure the text is easily readable on the background of your website.', 'flipdish_ordering' ),
	)
);

add_settings_field(
	'fd_initial_screen',
	esc_html__( 'Initial Ordering System Screen', 'flipdish_ordering' ),
	'flipdish_ordering_callback_field_radio',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'      => 'fd_initial_screen',
		'label'   => esc_html__( 'Initial ordering system display page.', 'flipdish_ordering' ) . ' <a href="https://help.flipdish.com/en/articles/1088676-add-web-ordering-to-your-website">Learn more.</a>',
		'options' => array(
			'options' => esc_html__( 'Ordering Options', 'flipdish_ordering' ),
			'menu'    => esc_html__( 'Menu', 'flipdish_ordering' ),
		),
	)
);

add_settings_field(
	'fd_mobile_full_screen',
	'Display page header and footer on mobile',
	'flipdish_ordering_callback_field_checkbox',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'    => 'fd_mobile_full_screen',
		'label' => esc_html__( 'Choose whether to display your page header and footer on mobile or not.', 'flipdish_ordering' ),
	)
);

add_settings_field(
	'fd_store_banner',
	esc_html__( 'Covid 19 Store Banner', 'flipdish_ordering' ),
	'flipdish_ordering_callback_field_select',
	'flipdish_ordering',
	'flipdish_ordering_section_display',
	array(
		'id'      => 'fd_store_banner',
		'label'   => esc_html__( 'Choose which banner to display on your ordering page.', 'flipdish_ordering' ),
		'options' => array(
			'none'     => esc_html__( 'None', 'flipdish_ordering' ),
			'ct-uk-ie' => esc_html__( 'Contactless Uk/IE', 'flipdish_ordering' ),
			'ct-de'    => esc_html__( 'Contactless DE', 'flipdish_ordering' ),
			'ct-us'    => esc_html__( 'Contactless US', 'flipdish_ordering' ),
			'ct-es'    => esc_html__( 'Contactless ES', 'flipdish_ordering' ),
		),
	)
);
